- Qt 6.7
- Qt Remote Objects
- QML Types
- QtRemoteObjects
- Qt 6.7.0 Reference Documentation

# QtRemoteObjects QML Type

The QtRemoteObjects global object provides useful functions for working with remote types in QML. More...

Import Statement: | import QtRemoteObjects 6.7

- List of all members, including inherited members

## Methods

- Promise watch(QRemoteObjectPendingCall reply, int timeout)

## Detailed Description

## Method Documentation

Promise watch(QRemoteObjectPendingCall reply, int timeout = 30000)

Encapsulates the return value, represented by reply, from a replica in a JavaScript Promise. A timeout can be set with timeout. The default timeout value is 30 seconds.

     QtRemoteObjects.watch(replica.fetchDetails(identifier))
                    .then(function(value) { details = value },
                          function(error) { console.log("error fetching details:", error) })